/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001-02 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.jsp;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import org.apache.log4j.*;
import com.silverwrist.venice.ui.*;

public class FrameContentHereTag extends VeniceTagSupport
{
  /*--------------------------------------------------------------------------------
   * Static data members
   *--------------------------------------------------------------------------------
   */

  private static Category logger = Category.getInstance(FrameContentHereTag.class);

  /*--------------------------------------------------------------------------------
   * Overrides from class TagSupport
   *--------------------------------------------------------------------------------
   */

  public int doStartTag() throws JspException
  {
    try
    { // write out what we came here to accomplish
      JspWriter out = pageContext.getOut();
      out.flush();
      getRequestOutput().output(out,getContent());

    } // end try
    catch (IOException e)
    { // convert the I/O error into something the servlet engine can deal with
      logger.error("IOException writing frame content",e);
      throw new JspTagException("IO error writing frame content - " + e.getMessage());

    } // end catch
    catch (ServletException se)
    { // convert the servlet exception into something we can deal with, too
      logger.error("ServletException writing frame content",se);
      throw new JspException("Servlet error writing frame content - " + se.getMessage());

    } // end catch

    return SKIP_BODY;

  } // end doStartTag

} // end class FrameContentHereTag
